Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 4108)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 4109)
@@ -5204,20 +5441,20 @@
           DO  k = nzb+1, nzb_max_l
 
-             ibit23 = REAL( IBITS(advc_flags_1(k,j-1,i),23,1), KIND = wp )
-             ibit22 = REAL( IBITS(advc_flags_1(k,j-1,i),22,1), KIND = wp )
-             ibit21 = REAL( IBITS(advc_flags_1(k,j-1,i),21,1), KIND = wp )
+             ibit14 = REAL( IBITS(advc_flags_m(k,j-1,i),14,1), KIND = wp )
+             ibit13 = REAL( IBITS(advc_flags_m(k,j-1,i),13,1), KIND = wp )
+             ibit12 = REAL( IBITS(advc_flags_m(k,j-1,i),12,1), KIND = wp )
 
              v_comp                 = v(k,j,i) + v(k,j-1,i) - gv
              swap_flux_y_local_v(k) = v_comp * (                              &
-                                   ( 37.0_wp * ibit23 * adv_mom_5                &
-                                +     7.0_wp * ibit22 * adv_mom_3                &
-                                +              ibit21 * adv_mom_1                &
+                                   ( 37.0_wp * ibit14 * adv_mom_5                &
+                                +     7.0_wp * ibit13 * adv_mom_3                &
+                                +              ibit12 * adv_mom_1                &
                                    ) *                                        &
                                      ( v(k,j,i)   + v(k,j-1,i) )              &
-                            -      (  8.0_wp * ibit23 * adv_mom_5                &
-                                +              ibit22 * adv_mom_3                &
+                            -      (  8.0_wp * ibit14 * adv_mom_5                &
+                                +              ibit13 * adv_mom_3                &
                                    ) *                                        &
                                      ( v(k,j+1,i) + v(k,j-2,i) )              &
-                            +      (           ibit23 * adv_mom_5                &
+                            +      (           ibit14 * adv_mom_5                &
                                    ) *                                        &
                                      ( v(k,j+2,i) + v(k,j-3,i) )              &
@@ -5225,14 +5462,14 @@
 
              swap_diss_y_local_v(k) = - ABS( v_comp ) * (                     &
-                                   ( 10.0_wp * ibit23 * adv_mom_5                &
-                                +     3.0_wp * ibit22 * adv_mom_3                &
-                                +              ibit21 * adv_mom_1                &
+                                   ( 10.0_wp * ibit14 * adv_mom_5                &
+                                +     3.0_wp * ibit13 * adv_mom_3                &
+                                +              ibit12 * adv_mom_1                &
                                    ) *                                        &
                                      ( v(k,j,i)   - v(k,j-1,i) )              &
-                            -      (  5.0_wp * ibit23 * adv_mom_5                &
-                                +              ibit22 * adv_mom_3                &
+                            -      (  5.0_wp * ibit14 * adv_mom_5                &
+                                +              ibit13 * adv_mom_3                &
                                    ) *                                        &
                                      ( v(k,j+1,i) - v(k,j-2,i) )              &
-                            +      (           ibit23 * adv_mom_5                &
+                            +      (           ibit14 * adv_mom_5                &
                                    ) *                                        &
                                      ( v(k,j+2,i) - v(k,j-3,i) )              &
@@ -5263,20 +5500,20 @@
              DO  k = nzb+1, nzb_max_l
 
-                ibit20 = REAL( IBITS(advc_flags_1(k,j,i),20,1), KIND = wp )
-                ibit19 = REAL( IBITS(advc_flags_1(k,j,i),19,1), KIND = wp )
-                ibit18 = REAL( IBITS(advc_flags_1(k,j,i),18,1), KIND = wp )
+                ibit11 = REAL( IBITS(advc_flags_m(k,j,i),11,1), KIND = wp )
+                ibit10 = REAL( IBITS(advc_flags_m(k,j,i),10,1), KIND = wp )
+                ibit9  = REAL( IBITS(advc_flags_m(k,j,i),9,1),  KIND = wp )
 
                 u_comp = u(k,j-1,i+1) + u(k,j,i+1) - gu
                 flux_r = u_comp * (                                          &
-                          ( 37.0_wp * ibit20 * adv_mom_5                        &
-                       +     7.0_wp * ibit19 * adv_mom_3                        &
-                       +              ibit18 * adv_mom_1                        &
+                          ( 37.0_wp * ibit11 * adv_mom_5                        &
+                       +     7.0_wp * ibit10 * adv_mom_3                        &
+                       +              ibit9 * adv_mom_1                        &
                           ) *                                                &
                                  ( v(k,j,i+1) + v(k,j,i)   )                 &
-                   -      (  8.0_wp * ibit20 * adv_mom_5                        &
-                       +              ibit19 * adv_mom_3                        &
+                   -      (  8.0_wp * ibit11 * adv_mom_5                        &
+                       +              ibit10 * adv_mom_3                        &
                           ) *                                                &
                                  ( v(k,j,i+2) + v(k,j,i-1) )                 &
-                   +      (           ibit20 * adv_mom_5                        &
+                   +      (           ibit11 * adv_mom_5                        &
                           ) *                                                &
                                  ( v(k,j,i+3) + v(k,j,i-2) )                 &
@@ -5284,14 +5521,14 @@
 
                 diss_r = - ABS( u_comp ) * (                                 &
-                          ( 10.0_wp * ibit20 * adv_mom_5                        &
-                       +     3.0_wp * ibit19 * adv_mom_3                        &
-                       +              ibit18 * adv_mom_1                        &
+                          ( 10.0_wp * ibit11 * adv_mom_5                        &
+                       +     3.0_wp * ibit10 * adv_mom_3                        &
+                       +              ibit9 * adv_mom_1                        &
                           ) *                                                &
                                  ( v(k,j,i+1) - v(k,j,i)  )                  &
-                   -      (  5.0_wp * ibit20 * adv_mom_5                        &
-                       +              ibit19 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit11 * adv_mom_5                        &
+                       +              ibit10 * adv_mom_3                        &
                           ) *                                                &
                                  ( v(k,j,i+2) - v(k,j,i-1) )                 &
-                   +      (           ibit20 * adv_mom_5                        &
+                   +      (           ibit11 * adv_mom_5                        &
                           ) *                                                &
                                  ( v(k,j,i+3) - v(k,j,i-2) )                 &
@@ -5301,20 +5538,20 @@
 !
 !--             Recompute the left fluxes.
-                ibit20_l = REAL( IBITS(advc_flags_1(k,j,i-1),20,1), KIND = wp )
-                ibit19_l = REAL( IBITS(advc_flags_1(k,j,i-1),19,1), KIND = wp )
-                ibit18_l = REAL( IBITS(advc_flags_1(k,j,i-1),18,1), KIND = wp )
+                ibit11_l = REAL( IBITS(advc_flags_m(k,j,i-1),11,1), KIND = wp )
+                ibit10_l = REAL( IBITS(advc_flags_m(k,j,i-1),10,1), KIND = wp )
+                ibit9_l  = REAL( IBITS(advc_flags_m(k,j,i-1),9,1),  KIND = wp )
 
                 u_comp_l  = u(k,j-1,i) + u(k,j,i) - gu
                 flux_l    = u_comp_l * (                                     &
-                                      ( 37.0_wp * ibit20_l * adv_mom_5          &
-                                   +     7.0_wp * ibit19_l * adv_mom_3          &
-                                   +              ibit18_l * adv_mom_1          &
+                                      ( 37.0_wp * ibit11_l * adv_mom_5          &
+                                   +     7.0_wp * ibit10_l * adv_mom_3          &
+                                   +              ibit9_l * adv_mom_1          &
                                       ) *                                    &
                                      ( v(k,j,i)   + v(k,j,i-1) )             &
-                               -      (  8.0_wp * ibit20_l * adv_mom_5          &
-                                   +              ibit19_l * adv_mom_3          &
+                               -      (  8.0_wp * ibit11_l * adv_mom_5          &
+                                   +              ibit10_l * adv_mom_3          &
                                       ) *                                    &
                                      ( v(k,j,i+1) + v(k,j,i-2) )             &
-                               +      (           ibit20_l * adv_mom_5          &
+                               +      (           ibit11_l * adv_mom_5          &
                                       ) *                                    &
                                      ( v(k,j,i+2) + v(k,j,i-3) )             &
@@ -5322,14 +5559,14 @@
 
                  diss_l   = - ABS( u_comp_l ) * (                            &
-                                      ( 10.0_wp * ibit20_l * adv_mom_5          &
-                                   +     3.0_wp * ibit19_l * adv_mom_3          &
-                                   +              ibit18_l * adv_mom_1          &
+                                      ( 10.0_wp * ibit11_l * adv_mom_5          &
+                                   +     3.0_wp * ibit10_l * adv_mom_3          &
+                                   +              ibit9_l * adv_mom_1          &
                                       ) *                                    &
                                      ( v(k,j,i)   - v(k,j,i-1) )             &
-                               -      (  5.0_wp * ibit20_l * adv_mom_5          &
-                                   +              ibit19_l * adv_mom_3          &
+                               -      (  5.0_wp * ibit11_l * adv_mom_5          &
+                                   +              ibit10_l * adv_mom_3          &
                                       ) *                                    &
                                      ( v(k,j,i+1) - v(k,j,i-2) )             &
-                               +      (           ibit20_l * adv_mom_5          &
+                               +      (           ibit11_l * adv_mom_5          &
                                       ) *                                    &
                                      ( v(k,j,i+2) - v(k,j,i-3) )             &
@@ -5340,20 +5577,20 @@
 #endif
 
-                ibit23 = REAL( IBITS(advc_flags_1(k,j,i),23,1), KIND = wp )
-                ibit22 = REAL( IBITS(advc_flags_1(k,j,i),22,1), KIND = wp )
-                ibit21 = REAL( IBITS(advc_flags_1(k,j,i),21,1), KIND = wp )
+                ibit14 = REAL( IBITS(advc_flags_m(k,j,i),14,1), KIND = wp )
+                ibit13 = REAL( IBITS(advc_flags_m(k,j,i),13,1), KIND = wp )
+                ibit12 = REAL( IBITS(advc_flags_m(k,j,i),12,1), KIND = wp )
 
                 v_comp = v(k,j+1,i) + v(k,j,i)
                 flux_n = ( v_comp - gv ) * (                                 &
-                          ( 37.0_wp * ibit23 * adv_mom_5                        &
-                       +     7.0_wp * ibit22 * adv_mom_3                        &
-                       +              ibit21 * adv_mom_1                        &
+                          ( 37.0_wp * ibit14 * adv_mom_5                        &
+                       +     7.0_wp * ibit13 * adv_mom_3                        &
+                       +              ibit12 * adv_mom_1                        &
                           ) *                                                &
                                  ( v(k,j+1,i) + v(k,j,i)   )                 &
-                   -      (  8.0_wp * ibit23 * adv_mom_5                        &
-                       +              ibit22 * adv_mom_3                        &
+                   -      (  8.0_wp * ibit14 * adv_mom_5                        &
+                       +              ibit13 * adv_mom_3                        &
                           ) *                                                &
                                  ( v(k,j+2,i) + v(k,j-1,i) )                 &
-                   +      (           ibit23 * adv_mom_5                        &
+                   +      (           ibit14 * adv_mom_5                        &
                           ) *                                                &
                                  ( v(k,j+3,i) + v(k,j-2,i) )                 &
@@ -5361,14 +5598,14 @@
 
                 diss_n = - ABS( v_comp - gv ) * (                            &
-                          ( 10.0_wp * ibit23 * adv_mom_5                        &
-                       +     3.0_wp * ibit22 * adv_mom_3                        &
-                       +              ibit21 * adv_mom_1                        &
+                          ( 10.0_wp * ibit14 * adv_mom_5                        &
+                       +     3.0_wp * ibit13 * adv_mom_3                        &
+                       +              ibit12 * adv_mom_1                        &
                           ) *                                                &
                                  ( v(k,j+1,i) - v(k,j,i)  )                  &
-                   -      (  5.0_wp * ibit23 * adv_mom_5                        &
-                       +              ibit22 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit14 * adv_mom_5                        &
+                       +              ibit13 * adv_mom_3                        &
                           ) *                                                &
                                  ( v(k,j+2,i) - v(k,j-1,i) )                 &
-                   +      (           ibit23 * adv_mom_5                        &
+                   +      (           ibit14 * adv_mom_5                        &
                           ) *                                                &
                                  ( v(k,j+3,i) - v(k,j-2,i) )                 &
@@ -5378,20 +5615,20 @@
 !
 !--             Recompute the south fluxes.
-                ibit23_s = REAL( IBITS(advc_flags_1(k,j-1,i),23,1), KIND = wp )
-                ibit22_s = REAL( IBITS(advc_flags_1(k,j-1,i),22,1), KIND = wp )
-                ibit21_s = REAL( IBITS(advc_flags_1(k,j-1,i),21,1), KIND = wp )
+                ibit14_s = REAL( IBITS(advc_flags_m(k,j-1,i),14,1), KIND = wp )
+                ibit13_s = REAL( IBITS(advc_flags_m(k,j-1,i),13,1), KIND = wp )
+                ibit12_s = REAL( IBITS(advc_flags_m(k,j-1,i),12,1), KIND = wp )
 
                 v_comp_s = v(k,j,i) + v(k,j-1,i) - gv
                 flux_s   = v_comp_s * (                                      &
-                                   ( 37.0_wp * ibit23_s * adv_mom_5             &
-                                +     7.0_wp * ibit22_s * adv_mom_3             &
-                                +              ibit21_s * adv_mom_1             &
+                                   ( 37.0_wp * ibit14_s * adv_mom_5             &
+                                +     7.0_wp * ibit13_s * adv_mom_3             &
+                                +              ibit12_s * adv_mom_1             &
                                    ) *                                       &
                                      ( v(k,j,i)   + v(k,j-1,i) )             &
-                            -      (  8.0_wp * ibit23_s * adv_mom_5             &
-                                +              ibit22_s * adv_mom_3             &
+                            -      (  8.0_wp * ibit14_s * adv_mom_5             &
+                                +              ibit13_s * adv_mom_3             &
                                    ) *                                       &
                                      ( v(k,j+1,i) + v(k,j-2,i) )             &
-                            +      (           ibit23_s * adv_mom_5             &
+                            +      (           ibit14_s * adv_mom_5             &
                                    ) *                                       &
                                      ( v(k,j+2,i) + v(k,j-3,i) )             &
@@ -5399,14 +5636,14 @@
 
                 diss_s   = - ABS( v_comp_s ) * (                             &
-                                   ( 10.0_wp * ibit23_s * adv_mom_5             &
-                                +     3.0_wp * ibit22_s * adv_mom_3             &
-                                +              ibit21_s * adv_mom_1             &
+                                   ( 10.0_wp * ibit14_s * adv_mom_5             &
+                                +     3.0_wp * ibit13_s * adv_mom_3             &
+                                +              ibit12_s * adv_mom_1             &
                                    ) *                                       &
                                      ( v(k,j,i)   - v(k,j-1,i) )             &
-                            -      (  5.0_wp * ibit23_s * adv_mom_5             &
-                                +              ibit22_s * adv_mom_3             &
+                            -      (  5.0_wp * ibit14_s * adv_mom_5             &
+                                +              ibit13_s * adv_mom_3             &
                                    ) *                                       &
                                      ( v(k,j+1,i) - v(k,j-2,i) )             &
-                            +      (           ibit23_s * adv_mom_5             &
+                            +      (           ibit14_s * adv_mom_5             &
                                    ) *                                       &
                                      ( v(k,j+2,i) - v(k,j-3,i) )             &
@@ -5420,24 +5657,24 @@
 !--             k index has to be modified near bottom and top, else array
 !--             subscripts will be exceeded.
-                ibit26 = REAL( IBITS(advc_flags_1(k,j,i),26,1), KIND = wp )
-                ibit25 = REAL( IBITS(advc_flags_1(k,j,i),25,1), KIND = wp )
-                ibit24 = REAL( IBITS(advc_flags_1(k,j,i),24,1), KIND = wp )
-
-                k_ppp = k + 3 * ibit26
-                k_pp  = k + 2 * ( 1 - ibit24  )
-                k_mm  = k - 2 * ibit26
+                ibit17 = REAL( IBITS(advc_flags_m(k,j,i),17,1), KIND = wp )
+                ibit16 = REAL( IBITS(advc_flags_m(k,j,i),16,1), KIND = wp )
+                ibit15 = REAL( IBITS(advc_flags_m(k,j,i),15,1), KIND = wp )
+
+                k_ppp = k + 3 * ibit17
+                k_pp  = k + 2 * ( 1 - ibit15  )
+                k_mm  = k - 2 * ibit17
 
                 w_comp = w(k,j-1,i) + w(k,j,i)
                 flux_t = w_comp * rho_air_zw(k) * (                          &
-                          ( 37.0_wp * ibit26 * adv_mom_5                        &
-                       +     7.0_wp * ibit25 * adv_mom_3                        &
-                       +              ibit24 * adv_mom_1                        &
+                          ( 37.0_wp * ibit17 * adv_mom_5                        &
+                       +     7.0_wp * ibit16 * adv_mom_3                        &
+                       +              ibit15 * adv_mom_1                        &
                           ) *                                                &
                              ( v(k+1,j,i)   + v(k,j,i)    )                  &
-                   -      (  8.0_wp * ibit26 * adv_mom_5                        &
-                       +              ibit25 * adv_mom_3                        &
+                   -      (  8.0_wp * ibit17 * adv_mom_5                        &
+                       +              ibit16 * adv_mom_3                        &
                           ) *                                                &
                              ( v(k_pp,j,i)  + v(k-1,j,i)  )                  &
-                   +      (           ibit26 * adv_mom_5                        &
+                   +      (           ibit17 * adv_mom_5                        &
                           ) *                                                &
                              ( v(k_ppp,j,i) + v(k_mm,j,i) )                  &
@@ -5445,14 +5682,14 @@
 
                 diss_t = - ABS( w_comp ) * rho_air_zw(k) * (                 &
-                          ( 10.0_wp * ibit26 * adv_mom_5                        &
-                       +     3.0_wp * ibit25 * adv_mom_3                        &
-                       +              ibit24 * adv_mom_1                        &
+                          ( 10.0_wp * ibit17 * adv_mom_5                        &
+                       +     3.0_wp * ibit16 * adv_mom_3                        &
+                       +              ibit15 * adv_mom_1                        &
                           ) *                                                &
                              ( v(k+1,j,i)   - v(k,j,i)    )                  &
-                   -      (  5.0_wp * ibit26 * adv_mom_5                        &
-                       +              ibit25 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit17 * adv_mom_5                        &
+                       +              ibit16 * adv_mom_3                        &
                           ) *                                                &
                              ( v(k_pp,j,i)  - v(k-1,j,i)  )                  &
-                   +      (           ibit26 * adv_mom_5                        &
+                   +      (           ibit17 * adv_mom_5                        &
                           ) *                                                &
                              ( v(k_ppp,j,i) - v(k_mm,j,i) )                  &
@@ -5463,28 +5700,28 @@
 !--             by a not sufficient reduction of divergences near topography.
                 div = ( ( ( u_comp     + gu )                                 &
-                                       * ( ibit18 + ibit19 + ibit20 )         &
+                                       * ( ibit9 + ibit10 + ibit11 )         &
                 - ( u(k,j-1,i)   + u(k,j,i) )                                 &
                                        * (                                    &
-                        REAL( IBITS(advc_flags_1(k,j,i-1),18,1), KIND = wp )  &
-                      + REAL( IBITS(advc_flags_1(k,j,i-1),19,1), KIND = wp )  &
-                      + REAL( IBITS(advc_flags_1(k,j,i-1),20,1), KIND = wp )  &
+                        REAL( IBITS(advc_flags_m(k,j,i-1),9,1), KIND = wp )   &
+                      + REAL( IBITS(advc_flags_m(k,j,i-1),10,1), KIND = wp )  &
+                      + REAL( IBITS(advc_flags_m(k,j,i-1),11,1), KIND = wp )  &
                                          )                                    &
                   ) * ddx                                                     &
                +  ( v_comp                                                    &
-                                       * ( ibit21 + ibit22 + ibit23 )         &
+                                       * ( ibit12 + ibit13 + ibit14 )         &
                 - ( v(k,j,i)     + v(k,j-1,i) )                               &
                                        * (                                    &
-                        REAL( IBITS(advc_flags_1(k,j-1,i),21,1), KIND = wp )  &
-                      + REAL( IBITS(advc_flags_1(k,j-1,i),22,1), KIND = wp )  &
-                      + REAL( IBITS(advc_flags_1(k,j-1,i),23,1), KIND = wp )  &
+                        REAL( IBITS(advc_flags_m(k,j-1,i),12,1), KIND = wp )  &
+                      + REAL( IBITS(advc_flags_m(k,j-1,i),13,1), KIND = wp )  &
+                      + REAL( IBITS(advc_flags_m(k,j-1,i),14,1), KIND = wp )  &
                                          )                                    &
                   ) * ddy                                                     &
                +  ( w_comp * rho_air_zw(k)                                    &
-                                       * ( ibit24 + ibit25 + ibit26 )         &
+                                       * ( ibit15 + ibit16 + ibit17 )         &
                 - ( w(k-1,j-1,i) + w(k-1,j,i) ) * rho_air_zw(k-1)             &
                                        * (                                    &
-                        REAL( IBITS(advc_flags_1(k-1,j,i),24,1), KIND = wp )  &
-                      + REAL( IBITS(advc_flags_1(k-1,j,i),25,1), KIND = wp )  &
-                      + REAL( IBITS(advc_flags_1(k-1,j,i),26,1), KIND = wp )  &
+                        REAL( IBITS(advc_flags_m(k-1,j,i),15,1), KIND = wp )  &
+                      + REAL( IBITS(advc_flags_m(k-1,j,i),16,1), KIND = wp )  &
+                      + REAL( IBITS(advc_flags_m(k-1,j,i),17,1), KIND = wp )  &
                                          )                                    &
                    ) * drho_air(k) * ddzw(k)                                  &
@@ -5597,24 +5834,24 @@
 !--             k index has to be modified near bottom and top, else array
 !--             subscripts will be exceeded.
-                ibit26 = REAL( IBITS(advc_flags_1(k,j,i),26,1), KIND = wp )
-                ibit25 = REAL( IBITS(advc_flags_1(k,j,i),25,1), KIND = wp )
-                ibit24 = REAL( IBITS(advc_flags_1(k,j,i),24,1), KIND = wp )
-
-                k_ppp = k + 3 * ibit26
-                k_pp  = k + 2 * ( 1 - ibit24  )
-                k_mm  = k - 2 * ibit26
+                ibit17 = REAL( IBITS(advc_flags_m(k,j,i),17,1), KIND = wp )
+                ibit16 = REAL( IBITS(advc_flags_m(k,j,i),16,1), KIND = wp )
+                ibit15 = REAL( IBITS(advc_flags_m(k,j,i),15,1), KIND = wp )
+
+                k_ppp = k + 3 * ibit17
+                k_pp  = k + 2 * ( 1 - ibit15  )
+                k_mm  = k - 2 * ibit17
 
                 w_comp = w(k,j-1,i) + w(k,j,i)
                 flux_t = w_comp * rho_air_zw(k) * (                          &
-                          ( 37.0_wp * ibit26 * adv_mom_5                        &
-                       +     7.0_wp * ibit25 * adv_mom_3                        &
-                       +              ibit24 * adv_mom_1                        &
+                          ( 37.0_wp * ibit17 * adv_mom_5                        &
+                       +     7.0_wp * ibit16 * adv_mom_3                        &
+                       +              ibit15 * adv_mom_1                        &
                           ) *                                                &
                              ( v(k+1,j,i)   + v(k,j,i)    )                  &
-                   -      (  8.0_wp * ibit26 * adv_mom_5                        &
-                       +              ibit25 * adv_mom_3                        &
+                   -      (  8.0_wp * ibit17 * adv_mom_5                        &
+                       +              ibit16 * adv_mom_3                        &
                           ) *                                                &
                              ( v(k_pp,j,i)  + v(k-1,j,i)  )                  &
-                   +      (           ibit26 * adv_mom_5                        &
+                   +      (           ibit17 * adv_mom_5                        &
                           ) *                                                &
                              ( v(k_ppp,j,i) + v(k_mm,j,i) )                  &
@@ -5622,14 +5859,14 @@
 
                 diss_t = - ABS( w_comp ) * rho_air_zw(k) * (                 &
-                          ( 10.0_wp * ibit26 * adv_mom_5                        &
-                       +     3.0_wp * ibit25 * adv_mom_3                        &
-                       +              ibit24 * adv_mom_1                        &
+                          ( 10.0_wp * ibit17 * adv_mom_5                        &
+                       +     3.0_wp * ibit16 * adv_mom_3                        &
+                       +              ibit15 * adv_mom_1                        &
                           ) *                                                &
                              ( v(k+1,j,i)   - v(k,j,i)    )                  &
-                   -      (  5.0_wp * ibit26 * adv_mom_5                        &
-                       +              ibit25 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit17 * adv_mom_5                        &
+                       +              ibit16 * adv_mom_3                        &
                           ) *                                                &
                              ( v(k_pp,j,i)  - v(k-1,j,i)  )                  &
-                   +      (           ibit26 * adv_mom_5                        &
+                   +      (           ibit17 * adv_mom_5                        &
                           ) *                                                &
                              ( v(k_ppp,j,i) - v(k_mm,j,i) )                  &
